- Main Page
- Data Structures
- Files
- Directories

- Search for |

- Alphabetical List
- Data Structures
- Data Fields

# udp_pcb Struct Reference

`#include <udp.h>`

## Data Fields
uInt16 | chksum_len
uInt8 | flags
uInt16 | local_port
udp_pcb * | next
void(* | recv )(void *arg, struct udp_pcb *pcb, struct pbuf *p, struct ip_addr *addr, uInt16 port)
void * | recv_arg
ip_addr local_ip | remote_ip
uInt16 | remote_port

## Detailed Description

Definition at line 60 of file udp.h.

## Field Documentation

uInt16 udp_pcb::chksum_len

Definition at line 67 of file udp.h.

uInt8 udp_pcb::flags

Definition at line 66 of file udp.h.

uInt16 udp_pcb::local_port

Definition at line 64 of file udp.h.

Referenced by netconn_addr().

struct udp_pcb* udp_pcb::next

Definition at line 61 of file udp.h.

void(* udp_pcb::recv)(void *arg, struct udp_pcb *pcb, struct pbuf *p, struct ip_addr *addr, uInt16 port)

void* udp_pcb::recv_arg

Definition at line 71 of file udp.h.

Referenced by do_delconn().

struct ip_addr local_ip udp_pcb::remote_ip

Definition at line 63 of file udp.h.

Referenced by netconn_peer().

uInt16 udp_pcb::remote_port

Definition at line 64 of file udp.h.

Referenced by netconn_peer().

The documentation for this struct was generated from the following file:

- src/sys/include/net/udp.h